2021-02-27 10:17 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000896Frama-CPlug-in > wppublic2014-02-12 16:59
Reporterpatrick 
Assigned Tocorrenson 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000896: Warning for Axiom: From wp: Overloaded operator User defined axiom
DescriptionSince there is no overloading is the source, the warning message has no sense!
Additional Information> cat file.c
extern int tab[], x;
//@ axiomatic A { axiom ax: 10 < \block_length(tab); }
//@ assigns x;
extern void h(void);
//@ requires r2: x==0; assigns x;
void g() { h(); }
//@ requires r1: x==0;
void f(void) { g(); }

> frama-c -wp
...
file.c:8:[wp] warning: Warning for Axiom ax:
              From wp: Overloaded operator User defined axiom ax{L} and User defined axiom ax
              {L} not yet implemented
              Effect: Ignored user-defined axiom 'ax'
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004760

correnson (manager)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2011-07-28 09:13 patrick New Issue
2011-07-28 09:13 patrick Status new => assigned
2011-07-28 09:13 patrick Assigned To => correnson
2011-07-28 15:18 svn
2011-07-28 15:18 svn Status assigned => resolved
2011-07-28 15:18 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2013-12-19 01:12 correnson Source_changeset_attached => framac master 33527b1c
2014-02-12 16:54 correnson Source_changeset_attached => framac stable/neon 33527b1c
2014-02-12 16:59 correnson Note Added: 0004760
2014-02-12 16:59 correnson Status closed => resolved
+Issue History